# DescribeManagedInstances

## 1. API Description

This API (DescribeManagedInstances) is used to query the details of one or more instances. You can filter the query results with the instance ID, or name.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type            | Description                                                                                                            |
| --------------- | -------- | --------------- | ---------------------------------------------------------------------------------------------------------------------- |
| instanceIds     | No       | Array of String | <p>Instance IDs.</p><p>You can query up to 100 instances in each request.</p>                                          |
| instanceName    | No       | String          | Instance name.                                                                                                         |
| ip              | No       | String          | Public IP address.                                                                                                     |
| lanIp           | No       | String          | Public IP address.                                                                                                     |
| facName         | No       | String          | Location name.                                                                                                         |
| cityCode        | No       | String          | City code.                                                                                                             |
| pageNum         | No       | Integer         | <p>Number of pages returned.</p><p>Default value: 1</p>                                                                |
| pageSize        | No       | Integer         | <p>Number of items in the current page result.</p><p>Default value: 20</p><p>Default value: 20</p>                     |
| resourceGroupId | No       | String          | <p>Resource group ID.</p><p>If the value is null, then return all the instances in the authorized resource groups.</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                                            | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                                         | Number of instances meeting the filtering conditions.                                                                 |
| dataSet        | Array of [ManagedInstanceInfo](/api-reference/compute/bmc/datastructure.md#managedinstanceinfo) | Information on an instance.                                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/bmc HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeManagedInstances


Request:
{
      "instanceIds": ["instanceId1","instanceId2"]
}

Response:
{
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "response": {
      "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
      "totalCount": 1,
      "dataSet": [
        {
          "instanceId": "instanceId1",
          "instanceName": "TEST",
          "facName": "example",
          "ips": [
            "1.1.1.1"
          ],
          "lanIps": [
            "192.168.0.1"
          ],
          "createTime": "2023-01-01T00:00:00Z"
        }
      ]
    }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/managed-instance/describemanagedinstances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
